/*******************************************************************
 *
 *	File:		EGnuChessDocument.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2002, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/

#ifndef __E_GNU_CHESS_DOCUMENT_H
#define __E_GNU_CHESS_DOCUMENT_H


#include "EGnuChessModel.h"

#include <eikappui.h>
#include <Qikdocument.h>
#include <eikdoc.h>

class CEGnuChessDocument : public CQikDocument
{
public:
	static CEGnuChessDocument* NewL(CEikApplication& aApp);
	~CEGnuChessDocument();

	CEGnuChessModel& Model() const { return *iModel; }
private: 
	void ConstructL();
	CEGnuChessDocument(CEikApplication& aApp);
	CEikAppUi* CreateAppUiL();	

	CEGnuChessModel*	iModel;
};

#endif // __E_GNU_CHESS_DOCUMENT_H


