/*******************************************************************
 *
 *	File:		Winboard.h
 *
 *	Author:		Peter van Sebille (peter@yipton.net)
 *
 *	(c) Copyright 2002, Peter van Sebille
 *	All Rights Reserved
 *
 *******************************************************************/


#ifndef __WINBOARD_H
#define __WINBOARD_H


extern "C" {

/*
 * Include relevant winboard includes as C
 */
#include <stdio.h>
#include "common.h"
#include "frontend.h"
#include "backend.h"
#include "defaults.h"

/*
 * globals used by backend.c
 */
extern int tinyLayout, smallLayout;
void SendToProgram P((char *message, ChessProgramState *cps));
}

#define REMOTE_SHELL ""
#undef FIRST_CHESS_PROGRAM
#define FIRST_CHESS_PROGRAM ""




#endif			/* __WINBOARD_H */
