#include <e32std.h>
#include <unistd.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <sys\ioctl.h>

#include "debug.h"
#include "ChessEngine.h"

extern "C"
{

int Terminate();
extern char           book_path[128];

_sig_func_ptr signal(int, _sig_func_ptr){return NULL;}
int main (int argc, char *argv[]);

void bzero (char *p, size_t size)
{
	Mem::FillZ(p, size);
}

int CheckInput(void)
{
	TInt	bytes = 0;
	TInt err = ioctl(0, E32IONREAD, &bytes);
	if (err)
	{
			/*
			 * Front-end has gone away, let's go away as well
			 */
		Terminate();
	}
	return (bytes > 0);
}

}

int Terminate()
{
#ifdef __MARM__
	RProcess	me;
#else
	RThread		me;
#endif
	me.Terminate(KErrNone);
	return 0;
}

void ChessEngineSignal()
{
}


void ChessEngineMain()
{
	char*	argv[] = {"foo", "xboard"};

	main (2, argv);
}


