############################################
#
# Release script for EChess
#
#############################################


############################################
#
# Memory jog...
#
#############################################

if ($ARGV[0] ne "/quiet")
{
	print "Have you removed all RDebug::Prints? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";

	print "Have you updated the version numbers (version.h, echess.pkg) ? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";

	print "Have you updated the readme? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";
}


#
# Zip up binaries
#
system "perl -S zipfiles.pl echess-bin < binary.lst";

#
# Zip up source code
#
system "perl -S zipfiles.pl echess-src < source.lst";

#
# Create sis file
#
system "makesis echess.pkg";

